aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-support/fastrpc/fastrpc/mount-dsp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-support/fastrpc/fastrpc/mount-dsp.sh')
-rw-r--r--recipes-support/fastrpc/fastrpc/mount-dsp.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/recipes-support/fastrpc/fastrpc/mount-dsp.sh b/recipes-support/fastrpc/fastrpc/mount-dsp.sh
index 1bacfb8..45363a4 100644
--- a/recipes-support/fastrpc/fastrpc/mount-dsp.sh
+++ b/recipes-support/fastrpc/fastrpc/mount-dsp.sh
@@ -2,16 +2,25 @@
set -e
+modprobe socinfo || true
+
if [ -r /sys/devices/soc0/machine ] ; then
MACHINE=`cat /sys/devices/soc0/machine`
case $MACHINE in
- SM8250|QRB5160)
+ SM8250|QRB5165)
WHAT=/lib/firmware/qcom/sm8250/dspso.bin
;;
esac
fi
-if [ -z "$WHAT" -o ! -r "$WHAT"] ; then
+if [ -z "$WHAT" -o ! -r "$WHAT" ] ; then
+ i=0
+ while ! [ -d /dev/disk/by-partlabel ] ; do
+ i=$(( $i + 1))
+ [ $i -gt 30 ] && break;
+ sleep 1
+ done
+
if [ -h /dev/disk/by-partlabel/dsp_a ] ; then
WHAT=/dev/disk/by-partlabel/dsp_a
else